For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet mailboxes
      • POSTCreate a mailbox
      • POSTGet mailboxes by IDs
      • DELDelete a mailbox
LogoLogo
API StatusPartner Portal
UtilitiesMailboxes

Get mailboxes by IDs

POST
/mailboxes/search
POST
/v1/mailboxes/search
$curl -X POST https://api.sandbox.monite.com/v1/mailboxes/search \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "entity_ids": [
> "entity_ids"
> ]
>}'
1{
2 "data": [
3 {
4 "id": "id",
5 "mailbox_full_address": "mailbox_full_address",
6 "mailbox_name": "mailbox_name",
7 "related_object_type": "related_object_type",
8 "status": "status",
9 "mailbox_domain_id": "mailbox_domain_id"
10 }
11 ]
12}
Get all mailboxes owned by Entity
Was this page helpful?
Previous

Delete a mailbox

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
entity_idslist of stringsRequired

Response

Successful Response
datalist of objects

Errors

422
Post Mailboxes Search Request Unprocessable Entity Error
500
Post Mailboxes Search Request Internal Server Error